TAAS - Feature #450

Dashboard
01/03/2025 10:09 AM - Arathy PS

Status: Open Start date: 01/03/2025
Priority: Normal Due date:

Assignee: Athira KK % Done: 10%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:

Time Taken(HH): Code Reviewed By:

Module: Dashboard

Description

History

#1 - 01/03/2025 10:10 AM - Arathy PS

Dashboard Design

Welcome to TAAS -> Full width

Blockl Block2
Block3 Block4
Block5 Block®6

? Expiry Reports (10 Days <)
? Limit (90 % or > Use)

Blockl->User/Counter/Employee/Counter Staff (Imp) Target
Type —-> Chart

Input —->

Items —->

Blockl->Pending System Works —-> Normal Info Message
Type -> List

Input —-> Current Date

Items -> Year End,

Block2->Messages — Note, Expiry Reports, Limit (90 $ or > Use) etc..

Type -> List

Input —->

Items —-> Notes (Reminder Users Notes), To Do List (New Module), Reminder (New Module)

Block3->Approval Pending (Count)

Type —-> Chart

Input —-> Current Date

Items —-> Account, Document, Posting, Credit, Corporate Receipt, Cheque Submission

Block4->Purchase (Cost)

Type —-> Chart

Input -> Current Date (No Data the Prv date)
Items —-> Booking, Issue, Cancel, Void,

Block5->Sale (Price & Count) - Booking, Issue, Sale and Direct Void, Cancel, Refund -

Type —-> Chart
Input -> Current Date (No Data the Prv date)
Items -> Sale, Refund, Net
#2 - 01/10/2025 04:53 PM - Arathy PS

- Tracker changed from Bug to Feature

#3 - 01/10/2025 04:58 PM - Arathy PS
- File clipboard-202501101658-qoj2j.png added
- Status changed from New to Reopen Bugs

- % Done changed from 0 to 50

ISSUE FOUND

1. FIXED-- Any message that appears while logging out will still be present on the dashboard after logging in.

Dashboard

FILE OPEN has been Saved. X

#4 - 01/11/2025 10:28 AM - Anil KV
- Status changed from Reopen Bugs to Open

- % Done changed from 50 to 10

#5 - 03/06/2025 04:22 PM - Junaid M
- File Dashboard1.jpg added
- File Dashboard2.jpg added
- File Dashboard3.jpg added

Joury Travels Dashboard

#6 - 04/28/2025 01:46 PM - Anil KV

Sample Chart

https://Jjs.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/Overview/MaterialBlueLight/
https://js.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/StackedBar/MaterialBlueLight/
https://Jjs.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/SideBySideStackedBar/MaterialBlueLight/
https://Jjs.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/Doughnut/MaterialBlueLight/
https://js.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/DiscreteData/MaterialBluelLight/
https://js.devexpress.com/Angular/Demos/WidgetsGallery/Demo/Charts/FunnelChart/MaterialBlueLight/

Blockl Block2
Block3 Block4

=>Div Header
=>Graph

—>Heading Sale (periodFrom-Period To)
*Today - One Date
->Y -> Sale, Refund, Void, Issued, Cancel

->X —->Today, This Week, This Month,
*Login User Branch

*Amount is Price

*Chart Type is 'bar'

Block2

=>Div Header
—>Heading -> Branch Wise Sale

—>Period -> Selectbox -> Today, This Week,
*'Today No' date then 'This Week' (Sun - Sat ) No date then 'This Month' No date then

—>Load Button —-> Only Icom
=>Graph

->Heading Sale (periodFrom-Period To)

Last Month

->Y->Consider Sales+Issued Status Only

->X -> Branch
*Amount is Price
*Chart Type is 'pie'

Block3

~~~=>Tf Set Branch wise Target then

*Like Block2 - Not need Period —-> Selectbox,
*Current FY data with Target - Check sample charts

~~~>Else

if set Service group then service group wise sale,

Block4

—> In Div Header

—Refresh icon button in Center
->List

*Not Need List Header
—|Message|Redirect Icon |
->Grouping (Default Expend)
-Message (No need icon)
—>Credit Limit Exceed(<80%)
*Eg:— 2 Customer

—Approval Pending (Count)

*Eg:— 2 Customers Approval Pending
-Passport Expiry

-Pax Type Changed

#7 - 04/28/2025 01:46 PM - Anil KV

- Assignee changed from travvise Admin to Athira KK

Files

This Month,

Last Month

Other wise Sales Mapping

'Last Month'

clipboard-202501101658-q0j2j.png
Dashboard1.jpg
Dashboard2.jpg
Dashboard3.jpg
56.9 KB 01/10/2025
108 KB 03/06/2025
107 KB 03/06/2025
117 KB 03/06/2025
Arathy PS
Junaid M
Junaid M
Junaid M
